/****************************************************************************
    $Id: srchmon.cpp 501.0 1995/03/07 12:26:22 RON Exp $

    Copyright (c) 1991-95 Tarma Software Research. All rights reserved.

    Project:	Tarma Library for C++ V5.0
    Author:	Ron van der Wal

    Implementation of class TLSearchMonitor.

    $Log: srchmon.cpp $
    Revision 501.0  1995/03/07 12:26:22  RON
    Updated for TLX 5.01
    Revision 1.5  1995/01/31 16:30:26  RON
    Update for release 012
    Added partial support for SunPro C++ compiler
    Revision 1.4  1995/01/06  15:58:26  ron
    Corrected Revision keyword

    Revision 1.3  1995/01/05  15:29:02  ron
    Made operator << inline

    Revision 1.2  1994/11/16  15:43:26  ron
    Added module info; rearranged #include directives

    Revision 1.1  1994/10/07  17:05:25  ron
    Initial revision

****************************************************************************/

#include <tlx\501\_build.h>

TLX_MODULE_INFO("$Revision: 501.0 $");

#include <iostream.h>
#include <tlx\501\solve\searcher.h>

/*-------------------------------------------------------------------------*/
    TLSearchMonitor::~TLSearchMonitor()

/*  Destructor. Does nothing, but is declared virtual for derivation.
---------------------------------------------------------------------------*/
{
}

/*-------------------------------------------------------------------------*/
    void TLSearchMonitor::OnSearchEvent(TLSearcher *, const Event &)

/*  Call-back for events handled by this monitor. The default implementation
    does nothing.
---------------------------------------------------------------------------*/
{
}

/*-------------------------------------------------------------------------*/
    ostream &TLSearchMonitor::PrintOn(ostream &os) const

/*  Function to print the contents of the monitor on the given stream,
    usually as part of the searcher's ReportStats() processing.
---------------------------------------------------------------------------*/
{
    return os << "Default search monitor output";
}

